commit 1f20df4fd7c132f55e924dc5ec3f270cd54704d0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Dec 4 15:09:13 2022 -0800

    libXdamage 1.1.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4adcd841e3e09982272b2f79ef3aadfb257814e3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Nov 17 11:14:53 2022 -0800

    Handle -Wshorten-64-to-32 warnings from clang
    
    Xdamage.c:265:28: warning: implicit conversion loses integer precision: 'Drawable' (aka 'unsigned long') to 'CARD32' (aka 'unsigned int') [-Wshorten-64-to-32]
            awire->drawable = aevent->drawable;
                            ~ ~~~~~~~~^~~~~~~~
    Xdamage.c:266:26: warning: implicit conversion loses integer precision: 'Damage' (aka 'unsigned long') to 'CARD32' (aka 'unsigned int') [-Wshorten-64-to-32]
            awire->damage = aevent->damage;
                          ~ ~~~~~~~~^~~~~~
    Xdamage.c:268:29: warning: implicit conversion loses integer precision: 'Time' (aka 'unsigned long') to 'CARD32' (aka 'unsigned int') [-Wshorten-64-to-32]
            awire->timestamp = aevent->timestamp;
                             ~ ~~~~~~~~^~~~~~~~~
    Xdamage.c:326:26: warning: implicit conversion loses integer precision: 'Damage' (aka 'unsigned long') to 'CARD32' (aka 'unsigned int') [-Wshorten-64-to-32]
        req->damage = damage = XAllocID (dpy);
                    ~ ~~~~~~~^~~~~~~~~~~~~~~~
    Xdamage.c:327:21: warning: implicit conversion loses integer precision: 'Drawable' (aka 'unsigned long') to 'CARD32' (aka 'unsigned int') [-Wshorten-64-to-32]
        req->drawable = drawable;
                      ~ ^~~~~~~~
    Xdamage.c:345:19: warning: implicit conversion loses integer precision: 'Damage' (aka 'unsigned long') to 'CARD32' (aka 'unsigned int') [-Wshorten-64-to-32]
        req->damage = damage;
                    ~ ^~~~~~
    Xdamage.c:362:19: warning: implicit conversion loses integer precision: 'Damage' (aka 'unsigned long') to 'CARD32' (aka 'unsigned int') [-Wshorten-64-to-32]
        req->damage = damage;
                    ~ ^~~~~~
    Xdamage.c:363:19: warning: implicit conversion loses integer precision: 'XserverRegion' (aka 'unsigned long') to 'CARD32' (aka 'unsigned int') [-Wshorten-64-to-32]
        req->repair = repair;
                    ~ ^~~~~~
    Xdamage.c:364:18: warning: implicit conversion loses integer precision: 'XserverRegion' (aka 'unsigned long') to 'CARD32' (aka 'unsigned int') [-Wshorten-64-to-32]
        req->parts = parts;
                   ~ ^~~~~
    Xdamage.c:380:21: warning: implicit conversion loses integer precision: 'Drawable' (aka 'unsigned long') to 'CARD32' (aka 'unsigned int') [-Wshorten-64-to-32]
        req->drawable = drawable;
                      ~ ^~~~~~~~
    Xdamage.c:381:19: warning: implicit conversion loses integer precision: 'XserverRegion' (aka 'unsigned long') to 'CARD32' (aka 'unsigned int') [-Wshorten-64-to-32]
        req->region = region;
                    ~ ^~~~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ba46dd91f2b2248e459911b38acd49a776c748f2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Nov 17 11:07:10 2022 -0800

    Handle -Wconversion warnings from clang
    
    Xdamage.c:81:30: warning: implicit conversion loses integer precision: 'int' to 'CARD8' (aka 'unsigned char') [-Wconversion]
            req->reqType = info->codes->major_opcode;
                         ~ ~~~~~~~~~~~~~^~~~~~~~~~~~
    Xdamage.c:264:29: warning: implicit conversion loses integer precision: 'int' to 'CARD8' (aka 'unsigned char') [-Wconversion]
            awire->type = aevent->type | (aevent->send_event ? 0x80 : 0);
                        ~ ~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    Xdamage.c:267:31: warning: implicit conversion loses integer precision: 'int' to 'CARD8' (aka 'unsigned char') [-Wconversion]
            awire->level = aevent->level | (aevent->more ? DamageNotifyMore : 0);
                         ~ ~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    Xdamage.c:324:33: warning: implicit conversion loses integer precision: 'int' to 'CARD8' (aka 'unsigned char') [-Wconversion]
        req->reqType = info->codes->major_opcode;
                     ~ ~~~~~~~~~~~~~^~~~~~~~~~~~
    Xdamage.c:328:18: warning: implicit conversion loses integer precision: 'int' to 'CARD8' (aka 'unsigned char') [-Wconversion]
        req->level = level;
                   ~ ^~~~~
    Xdamage.c:343:33: warning: implicit conversion loses integer precision: 'int' to 'CARD8' (aka 'unsigned char') [-Wconversion]
        req->reqType = info->codes->major_opcode;
                     ~ ~~~~~~~~~~~~~^~~~~~~~~~~~
    Xdamage.c:360:33: warning: implicit conversion loses integer precision: 'int' to 'CARD8' (aka 'unsigned char') [-Wconversion]
        req->reqType = info->codes->major_opcode;
                     ~ ~~~~~~~~~~~~~^~~~~~~~~~~~
    Xdamage.c:378:33: warning: implicit conversion loses integer precision: 'int' to 'CARD8' (aka 'unsigned char') [-Wconversion]
        req->reqType = info->codes->major_opcode;
                     ~ ~~~~~~~~~~~~~^~~~~~~~~~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 90bb47685ed92df1eb5bbb9b6875a40f3e98bb43
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Nov 17 10:55:07 2022 -0800

    Remove unnecessary casts from malloc() and free() calls
    
    Not needed in C89 and later
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6e16a274610317abc3956291aa498b1ecdccc900
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 16 19:18:18 2022 -0800

    XDamageCloseDisplay: Mark codes as unused
    
    Quiets clang warning:
    
    Xdamage.c:207:47: warning: unused parameter 'codes' [-Wunused-parameter]
    XDamageCloseDisplay (Display *dpy, XExtCodes *codes)
                                                  ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 14ecba28e2d2846d0690ee86d3d01a1389558fd6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 16 19:14:34 2022 -0800

    Mark two dpy parameters const as suggested by cppcheck
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 98c179ea912e9e420451adeb9bab4b462cab836c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 16 19:13:03 2022 -0800

    Variable scope reduction as recommended by cppcheck
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 51cbd370a2fc0d671398d7572c29f00cae34a86f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 17 12:01:38 2022 -0700

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2f1ee1fd079391d239a7c0e4dbb34d80e227ab0f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 17 11:59:53 2022 -0700

    Fix spelling/wording issues
    
    Found by using:
        codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 691f0a8d1f6c4eebe0191c29b31598f63dba2f77
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 17 11:59:20 2022 -0700

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fea0f32d268753bb0f322a26d73b31ec9aca80f4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 16 12:37:57 2019 -0700

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 977b04cd69738806e0b48fcf5c725763d065f06d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Mar 10 18:08:06 2019 -0700

    libXdamage 1.1.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cd8ddea98992b54b2806c4c36e7460ea5b3a5fd3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 19 21:50:10 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8c8f9c1e356e9481fdf5a7bd1927dbfdac196310
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 13:52:49 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 8a647594fbd71b1ad26fa2a6caf69ffff91b6e2b
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit e758765e6c943d968a781efc9992813a2c3fb918
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 41cc41d5deee6b4f79ddaebbb058951a5a9f1f7f
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Thu Jan 2 01:23:12 2014 -0800

    Use Xfree rather than XFree for consistency
    
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

commit 0d35761dc39409b70e04dd0786aef6537f92976a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 19 08:19:07 2013 -0800

    Replace deprecated Automake INCLUDES variable with AM_CPPFLAGS
    
    Excerpt https://lists.gnu.org/archive/html/automake/2012-12/msg00038.html
    
      - Support for the long-deprecated INCLUDES variable will be removed
        altogether in Automake 1.14.  The AM_CPPFLAGS variable should be
        used instead.
    
    This variable was deprecated in Automake releases prior to 1.10, which is
    the current minimum level required to build X.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c9fa3ec1a7c9847ccf98377b48c674f1d32c635d
Author: Colin Walters <walters@verbum.org>
Date:   Wed Jan 4 17:37:06 2012 -0500

    autogen.sh: Implement GNOME Build API
    
    http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit d545f97ace8a2842a8e5ac49c8c955fb3252e873
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jan 15 14:28:48 2013 -0500

    configure: Remove AM_MAINTAINER_MODE
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 0c7f26ab7fb41873c2e68d8b136ef098ed663aff
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jan 2 21:45:11 2013 -0800

    libXdamage 1.1.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 665c80d7af5fc7a73b76e0ddaee3536b37b029e9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 16 22:16:01 2011 -0700

    Strip trailing whitespace
    
    Performed with: find * -type f | xargs perl -i -p -e 's{[ \t]+$}{}'
    git diff -w & git diff -b show no diffs from this change
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 45e9544d8202b76e20923f4d84667879a3d185ec
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Feb 2 11:43:41 2011 -0500

    config: comment, minor upgrade, quote and layout configure.ac
    
    Group statements per section as per Autoconf standard layout
    Quote statements where appropriate.
    Autoconf recommends not using dnl instead of # for comments
    
    Use AC_CONFIG_FILES to replace the deprecated AC_OUTPUT with parameters.
    Add AC_CONFIG_SRCDIR([Makefile.am])
    Remove redundant AC_SUBST(*_CFLAGS) and/or *_LIBS
    Update minimum version of util-macros to at least 1.8.
    No functional configuration changes
    
    This helps automated maintenance and release activities.
    Details can be found in http://wiki.x.org/wiki/NewModuleGuidelines

commit 8de52f71322015a5d2bd9cef58f46b80052562a9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jan 28 19:41:37 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b628ca236ee8d26358ea5075a89e6cc7d3497dbd
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 27 18:50:14 2011 -0500

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a08053121ff1115689b3e5e5322e8b8aaa7cb5fc
Author: Fernando Carrijo <fcarrijo@yahoo.com.br>
Date:   Thu Jul 1 06:53:31 2010 -0300

    Purge macros NEED_EVENTS and NEED_REPLIES
    
    Signed-off-by: Fernando Carrijo <fcarrijo@yahoo.com.br>
    Acked-by: Tiago Vignatti <tiago.vignatti@nokia.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8abc1c8e920821f5ed68e639d3fb71a4ad90a102
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jun 8 18:50:45 2010 -0700

    libXdamage 1.1.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0b0b68a2a06f01ad3e185aafb2e9665779bc0084
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Mar 9 07:56:45 2008 +0100

    nuke RCS Ids
    
    Signed-off-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Reviewed by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5a77a5e402ab245f2de08886e5fb2934a6c54571
Author: Jamey Sharp <jamey@minilop.net>
Date:   Fri Apr 9 17:26:07 2010 -0700

    Always call SyncHandle after issuing an X request.

commit a414d85a9da3f5b23975a64c351ad00138092107
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 16:50:34 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit f8914c5dba4c6514b83c7d8f5c550a2603e4da66
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 14:53:48 2010 -0400

    config: remove the pkgconfig pc.in file from EXTRA_DIST
    
    Automake always includes it in the tarball.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 5dd2b14345ba9b8b88d11dc027dc71625fbf15bc
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Nov 27 20:56:04 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 98333e9afea1c5dfb0f4b90c10f25e6b77e72817
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:10 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 62d595bc01c0219254560b72978faa3327959eee
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 15:07:25 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit 6852db03b187cfce5a41cc8addbc734091e6b725
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:42 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit ef9fad1a1f327c1f19009d4206c67762ef0d436a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 13:10:20 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit d9ff5ede9989b0312416fd68fc3dd866c551aad9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:19 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 8a02e2cfe8cfcaa791b81b47e44304f326a0dcb8
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Oct 21 12:47:24 2009 -0700

    This is not a GNU project, so declare it foreign.
    
    On Wed, 2009-10-21 at 13:36 +1000, Peter Hutterer wrote:
    > On Tue, Oct 20, 2009 at 08:23:55PM -0700, Jeremy Huddleston wrote:
    > > I noticed an INSTALL file in xlsclients and libXvMC today, and it
    > > was quite annoying to work around since 'autoreconf -fvi' replaces
    > > it and git wants to commit it.  Should these files even be in git?
    > > Can I nuke them for the betterment of humanity and since they get
    > > created by autoreconf anyways?
    >
    > See https://bugs.freedesktop.org/show_bug.cgi?id=24206
    
    As an interim measure, replace AM_INIT_AUTOMAKE([dist-bzip2]) with
    AM_INIT_AUTOMAKE([foreign dist-bzip2]). This will prevent the generation
    of the INSTALL file. It is also part of the 24206 solution.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit 728ae9bda2e536897b630b149df522fa6286a1c5
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Oct 6 11:24:50 2009 -0700

    libXdamage 1.1.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 229ebbc4acd3de3a4a118f53db013629691b6ce9
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Oct 6 11:18:39 2009 -0700

    Migrate to xorg macros 1.3 & XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit eed319fd48299e49b2f6ae9ff452a5d6c64ea192
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Sep 3 15:50:23 2009 +1000

    Require pkg-config to find the packages, no funky x11 lookups.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Acked-by: Daniel Stone <daniel@fooishbar.org>

commit c3f08b7b0a0b1dd42dd00efe07ebc07f7085b433
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Sep 3 15:50:18 2009 +1000

    Fix a comment in configure.ac, this is libXdamage, not libXfixes
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 02a61d40687f4ee358e2f7903ce0ceacf273e254
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Feb 2 20:34:32 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 0a48e5c663bf2ec3f6870bf9e9cfa90dfddd6fe6
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Thu Jan 29 15:41:23 2009 -0200

    Janitor: Correct make distcheck and compiler warnings.

commit 0ca7d78aeb8035ef52c1415170e1257493d789fd
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Mon May 19 17:24:04 2008 +0930

    Change parameter names for QueryVersion/QueryExtension.
    
    Simply to clarify the inner workings of the lib and that these parameters are
    treated as return values only.
    
    X.Org Bug 14511 <http://bugs.freedesktop.org/show_bug.cgi?id=14511>

commit 87ebfbc56abe16de6f84f559728a40f63d44006a
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 16:38:26 2007 -0500

    Replace static ChangeLog with dist-hook to generate from git log

commit d9714f03dde2d2b20fb29d46b44bb253e4954ee0
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Fri Sep 7 22:02:18 2007 -0700

    libXdamage incorrectly encodes/decodes the 'More' field from the event.
    
    The client library for xdamage currently fails to fill in the 'more'
    field.  As a result, you get whatever uninitialised junk was there
    before.
    
    The server sets the high bit of 'level' when there is
    'more' (DamageNotifyMore = 0x80).  A patch follows to fix the client
    library.

commit 7548981a458b091b29d74207884669214f63ee9f
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Sep 3 05:53:36 2007 -0400

    Add *~ to .gitignore to skip patch/emacs droppings

commit b96e17d8a4fe8e19515c0f183e5e299939c6eca0
Author: Adam Jackson <ajax@benzedrine.nwnk.net>
Date:   Mon Mar 5 16:51:06 2007 -0500

    Fix DSO version number to match protocol number.
    
    Also increment package version number to 1.1.1 for eventual release.

commit 0b69465a3b118f3fe1c9b0c206996d510ccbec36
Author: Eric Anholt <eric@anholt.net>
Date:   Tue Jan 9 16:21:13 2007 -0800

    Track rename of DamagePost to DamageAdd.

commit 0d7f8e4f151480ee1415bd5a13799ad6385a8df3
Author: Eric Anholt <eric@anholt.net>
Date:   Mon Jan 8 15:02:42 2007 -0800

    More doc/copyright updates for Damage 1.1 update.

commit 716d84889f90880c634136e9c1e754edd587ea9e
Author: Eric Anholt <eric@anholt.net>
Date:   Fri Jan 5 17:56:58 2007 -0800

    Add a request to report a region of damage against a drawable.
    
    This brings the library up to supporting version 1.1 of the protocol.  Bump
    package version accordingly.

commit c3c2777a7805c95f7d7bf64998e188d0eba65cba
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Nov 8 16:10:20 2006 +0200

    bump to 1.0.4

commit 31829be123a9ce58bf8e0c4718815b7b63d0d512
Author: Josh Triplett <josh@freedesktop.org>
Date:   Mon Oct 16 02:58:24 2006 -0700

    Remove incorrect UnlockDisplay and SyncHandle from XDamageQueryVersion
    
    XDamageQueryVersion calls UnlockDisplay and SyncHandle, without a matching
    LockDisplay.  This triggers an assertion in Xlib/XCB designed to catch these
    kinds of bugs.  Remove the two calls, which fixes the assertion.
    
    Thanks to Mike Auty <mike.auty@gmail.com> for the report.

commit 62ffc46be52244b252dfab643bdfa1aa862820f0
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jul 13 14:58:51 2006 -0700

    renamed: .cvsignore -> .gitignore

commit 7558d929f538ef7c87aeb88a47856f94282ab2a9
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu Apr 27 00:05:40 2006 +0000

    Bump to 1.0.3

commit e05bfca0a4377cfd137249f7df8c95706372c140
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Apr 3 01:00:11 2006 +0000

    Coverity #574: Plug a leak on the error path.

commit 660305b57b0af382dd111d8a9d0a38f663efdf25
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:29 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 75bb1e7a7f32d2bf8e3e80ae370adc0c69585698
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:43 2005 +0000

    Update package version number for X11R7 RC3 release.

commit 5805e223e70e84d07f9203ae30effcbbc40746a6
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Nov 19 07:15:41 2005 +0000

    Update pkgconfig files to separate library build-time dependencies from
        application build-time dependencies, and update package deps to work
        with separate build roots.

commit 48527807411901e1d6806a2c9e8a84e1fa684042
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:19:12 2005 +0000

    Update package version number for X11R7 RC2 release.

commit 077ce8402a1f8413efdede402cb6f89b9ff797dd
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Nov 1 15:11:51 2005 +0000

    Update pkgcheck dependencies to work with separate build roots.

commit c6a8324c38acc33357e6dcf927f482db22383ab2
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:51 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit b02c66e05a173fd20c7b42f4fccf5bcd069f5931
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat Jul 16 06:37:24 2005 +0000

    Set soversion to 1.0.0 using -version-number.

commit 4011ede413408c9a5577617dbcd1124a3ee8dce5
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu Jul 14 06:28:45 2005 +0000

    Thinkos. AC_SUBST on the damageproto CFLAGS, and s/AM__CFLAGS/AM_CFLAGS/.

commit 657bb1fcc90a08f713c8f97c4f904808ea023c6e
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jul 9 06:14:50 2005 +0000

    Add .cvsignore files Switch _la_CFLAGS for AM_CFLAGS to clean up directory

commit 575cf8f35bb51df34d31035fcbf7d425f85ac79c
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sun Jul 3 07:00:56 2005 +0000

    Add Xtrans definitions (FONT_t, TRANS_CLIENT) to clean up warnings.
    Add XSERV_t, TRANS_SERVER, TRANS_REOPEN to quash warnings.
    Add #include <dix-config.h> or <xorg-config.h>, as appropriate, to all
        source files in the xserver/xorg tree, predicated on defines of
        HAVE_{DIX,XORG}_CONFIG_H. Change all Xfont includes to
        <X11/fonts/foo.h>.

commit 7a89fded1dac6137a9376bf161da22c1c93a9939
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Jul 2 06:35:03 2005 +0000

    Add appropriate lib*_CFLAGS to Makefile.am's -- fixes build problems

commit c04e1d2204ae972828b19bf422670e480805e9ac
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu May 19 00:22:32 2005 +0000

    revert last change, didn't do right thing at all, sorry for the noise

commit 00361b6bec032a3be14e2a191b389115ec9767ba
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu May 19 00:10:07 2005 +0000

    Require automake 1.7 in AM_INIT_AUTOMAKE

commit 4b9f6d209d2833afb58c2f2e648907f460d1be95
Author: Søren Sandmann Pedersen  <sandmann@daimi.au.dk>
Date:   Tue May 17 17:02:24 2005 +0000

    Conditionally include config.h in xc/lib/Xdamage and xc/lib/Xfixes

commit daa2ab8a2deff5730713c38322be53ed8facae74
Author: Søren Sandmann Pedersen  <sandmann@daimi.au.dk>
Date:   Tue May 17 16:47:59 2005 +0000

    Add Xdamage build system

commit a9055b6135f82bafefd05b140c9ec4a6d0b1fc9f
Author: Markus Kuhn <Markus.Kuhn@cl.cam.ac.uk>
Date:   Sat Dec 4 00:42:47 2004 +0000

    Encoding of numerous files changed to UTF-8

commit 1945ec8dea6d16523f480b423b5e7054928c2eea
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sat Jul 31 05:50:39 2004 +0000

    Bring in Xfixes, Xdamage, and Xcomposite userland from xserver CVS:
    - Update Xfixes headers to protocol major version 3.
    - Add composite headers.
    - Add libXfixes, libXdamage, and libXcomposite.
    - Add imake glue for new libraries, but leave Composite off by default
        until issues are resolved.
